E: Internal error opening cache (1). Please report


#1

Help!!!

Can someone explain this, and perhaps provide some guidance
E: The package libsystemd0:i386 needs to be reinstalled, but I can’t find an archive for it.
E: Internal error opening cache (1). Please report.


#2

Hi Robert,

Welcome to our forums.

Please provide more information on your problem, following the ask for help guidelines. We can’t figure out much if we don’t know what command you executed, on what system (distribution, version), and why (system upgrade maybe?). We need details, as we do not sit next to the computer producing the error.


#3

My guess you are running on an x86_64 system and trying to install an x86 package that was once accessible through a repository that you have removed. The repo is still present in the cache but is actually missing from the repository list. You need to rebuild the repository cache and add a repository that contains the i386 version of libsystemd0 to be able to reinstall it.
But it depends on what distro you are running and on what system (is it indeed a 64-bit?).